--[[ Move Game Tooltip from bottom right corner ]]
-- from "MoveTooltip" by "elurielle"

if not FixR then return end

local DefaultO = {}
local misc = {
  ["desc"] = "Move Game Tooltip from bottom right corner";
}

local M = FixR:NewModule("MoveGameTooltip", DefaultO, misc)

local MoveTT_OnShow = function(tooltip, parent)
  if M.O["enabled"] then
    tooltip:SetOwner(parent, "ANCHOR_NONE")
    tooltip:ClearAllPoints()
    tooltip:SetPoint("BOTTOMRIGHT", UIParent, "BOTTOMRIGHT", -100, 180) -- 100 left, 180 up
  end
end

--[[
local MoveTT_OnShow2 = function(self)
  if M.O["enabled"] then
    --GameTooltip:SetOwner(self, "ANCHOR_NONE")
    GameTooltip:ClearAllPoints()
    GameTooltip:SetPoint("BOTTOMRIGHT", UIParent, "BOTTOMRIGHT", -100, 180) -- 100 left, 180 up
  end
end

local MoveTT_OnShow3 = function(self, elapsed)
  if M.O["enabled"] then
    --self:SetOwner(self, "ANCHOR_NONE")
    self:ClearAllPoints()
    self:SetPoint("BOTTOMRIGHT", UIParent, "BOTTOMRIGHT", -100, 180) -- 100 left, 180 up
  end
end
--]]

function M:Load()
  hooksecurefunc("GameTooltip_SetDefaultAnchor", MoveTT_OnShow)
  --hooksecurefunc("ContainerFrameItemButton_OnEnter", MoveTT_OnShow2)
  --hooksecurefunc("GameTooltip_OnUpdate", MoveTT_OnShow3)
end

--/dump GameTooltip:GetPoint()
--/run local t=GameTooltip;local o=t:GetOwner();t:SetOwner(UIParent, "ANCHOR_NONE");t:SetOwner(o, "ANCHOR_NONE");t:ClearAllPoints();t:SetPoint("BOTTOMRIGHT", UIParent, "BOTTOMRIGHT", -100, 180)
--/run local t=GameTooltip;local o=t:GetOwner();t:SetOwner(o, "ANCHOR_PRESERVE");t:ClearAllPoints();t:SetPoint("BOTTOMRIGHT", UIParent, "BOTTOMRIGHT", -100, 180)